Package org.eclipse.graphiti.features.impl

# Class AbstractLayoutFeature

java.lang.Object
org.eclipse.graphiti.features.impl.AbstractFeature
org.eclipse.graphiti.features.impl.AbstractLayoutFeature

All Implemented Interfaces:
  `IFeature`, `IFeatureProviderHolder`, `ILayoutFeature`, `ILayout`, `IDescription`, `IName`

Direct Known Subclasses:
  `LayoutFeatureForPattern`

public abstract class AbstractLayoutFeature extends AbstractFeature implements ILayoutFeature
The Class AbstractLayoutFeature.

## Constructor Summary

Constructors
Constructor
Description
`AbstractLayoutFeature(IFeatureProvider fp)`
Creates a new `AbstractLayoutFeature`.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`canExecute(IContext context)`
Decides if the current feature can execute with the given context.
`protected boolean`
`canLayoutPictogramElement(PictogramElement pe)`
Can layout pictogram element.
`void`
`execute(IContext context)`
Executes the current feature with the given context.
`String`
`getName()`
Gets the name.
`protected void`
`resizeShape(Shape shape)`
Resize shape.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.func.ILayout

`canLayout, layout`

## Constructor Details

### AbstractLayoutFeature

public AbstractLayoutFeature(IFeatureProvider fp)
Creates a new `AbstractLayoutFeature`.

Parameters:
  `fp` - the fp

## Method Details

### canExecute

public final boolean canExecute(IContext context)
Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  - `IContext`

### execute

public void execute(IContext context)
Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  - `IContext`

### canLayoutPictogramElement

protected boolean canLayoutPictogramElement(PictogramElement pe)
Can layout pictogram element.

Parameters:
  `pe` - the pe
Returns:
  true, if successful

### resizeShape

protected void resizeShape(Shape shape)
Resize shape.

Parameters:
  `shape` - the shape

### getName

public String getName()
Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name